> For the complete documentation index, see [llms.txt](https://docs.dentity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dentity.com/reference/wallets-and-credentials/openid-for-verifiable-credentials.md).

# OpenID for Verifiable Credentials

## What is OpenID Connect

> OpenID Connect is an interoperable authentication protocol based on the OAuth 2.0 framework of specifications (IETF RFC 6749 and 6750). It simplifies the way to verify the identity of users based on the authentication performed by an Authorization Server and to obtain user profile information in an interoperable and REST-like manner.
>
> OpenID Connect enables application and website developers to launch sign-in flows and receive verifiable assertions about users across Web-based, mobile, and JavaScript clients. And the specification suite is extensible to support a range of optional features such as encryption of identity data, discovery of OpenID Providers, and session logout. - [openid.net](https://openid.net/developers/how-connect-works/)

## **What is OpenID for Verifiable Credentials**

> The OpenID for Verifiable Credentials work is a product of the OpenID Connect Working Group. The [whitepaper](https://openid.net/wordpress-content/uploads/2022/06/OIDF-Whitepaper_OpenID-for-Verifiable-Credentials-V2_2022-06-23.pdf) OpenID for Verifiable Credentials describes the work and its motivations. -  [openid.net](https://openid.net/sg/openid4vc/)

OpenID for Verifiable Credentials consists of three specifications:

* [OpenID for Verifiable Presentations](/reference/wallets-and-credentials/openid-for-verifiable-credentials/openid-connect-for-verifiable-presentations.md) - ***Dentity** supported*
* OpenID for Verifiable Credential Issuance - *coming soon*
* Self-Issued OpenID Provider v2 - *coming soon*

**Dentity** based on OpenID provides the simplest way to create a closed flow between issuer and holder and verifier. It makes it easy for the issuer to issue credentials to holders. Verifier easily verifies and identifies holder credentials issued by the issuer.

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dentity.com/reference/wallets-and-credentials/openid-for-verifiable-credentials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
